# UniTAP.dev.ports.modules.capturer.bulk.bulk_types

class EncodingTypeEnum(enum.IntEnum):

Enum where members are also (and must be) ints

Encoding_Auto = <EncodingTypeEnum.Encoding_Auto: 0>
Encoding_10Bit = <EncodingTypeEnum.Encoding_10Bit: 1>
Encoding_32Bit = <EncodingTypeEnum.Encoding_32Bit: 2>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class LaneCountEnum(enum.IntEnum):

Enum where members are also (and must be) ints

Auto = <LaneCountEnum.Auto: 0>
Lane_1 = <LaneCountEnum.Lane_1: 1>
Lane_2 = <LaneCountEnum.Lane_2: 2>
Lane_4 = <LaneCountEnum.Lane_4: 4>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class TriggerPosition(enum.IntEnum):

Trigger position relative to the start of capture, in percent of total capture size.

- TP_Start – 0%
- TP_25 – 25%
- TP_50 – 50%
- TP_75 – 75%
- TP_End - 100%

TP_Start = <TriggerPosition.TP_Start: 0>
TP_25 = <TriggerPosition.TP_25: 1>
TP_50 = <TriggerPosition.TP_50: 2>
TP_75 = <TriggerPosition.TP_75: 3>
TP_End = <TriggerPosition.TP_End: 4>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class TriggerTypeEnum:

Class `TriggerTypeEnum` contains all necessary enum types for describing values.

class TriggerTypeEnum.SourceType(enum.IntEnum):

Enum where members are also (and must be) ints

TPS1 = <SourceType.TPS1: 0>
TPS2 = <SourceType.TPS2: 1>
TPS3 = <SourceType.TPS3: 2>
TPS4 = <SourceType.TPS4: 3>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class TriggerTypeEnum.SourceTypePosition(enum.IntEnum):

Enum where members are also (and must be) ints

InitialLT = <SourceTypePosition.InitialLT: 0>
AfterALPM = <SourceTypePosition.AfterALPM: 1>
InitialLTORAfterALPM = <SourceTypePosition.InitialLTORAfterALPM: 2>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class TriggerTypeEnum.SourceMLPHY(enum.IntEnum):

Enum where members are also (and must be) ints

Standby = <SourceMLPHY.Standby: 0>
Sleep = <SourceMLPHY.Sleep: 1>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class TriggerTypeEnum.SourceVBIDWithMask(enum.IntEnum):

Enum where members are also (and must be) ints

AnyVB_IDChange = <SourceVBIDWithMask.AnyVB_IDChange: 0>
VB_IDMatchWithMask = <SourceVBIDWithMask.VB_IDMatchWithMask: 1>
ChangeAnyBitSetInMask = <SourceVBIDWithMask.ChangeAnyBitSetInMask: 2>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class TriggerTypeEnum.SourceVBID(enum.IntEnum):

Enum where members are also (and must be) ints

BS = <SourceVBID.BS: 0>
SR = <SourceVBID.SR: 1>
CPBS = <SourceVBID.CPBS: 2>
CPSR = <SourceVBID.CPSR: 3>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class TriggerTypeEnum.SDPTypeReceived(enum.IntEnum):

Enum where members are also (and must be) ints

MatchHB0 = <SDPTypeReceived.MatchHB0: 1>
MatchHB1 = <SDPTypeReceived.MatchHB1: 2>
MatchHB0AndHB1 = <SDPTypeReceived.MatchHB0AndHB1: 3>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class TriggerTypeEnum.MSA(enum.IntEnum):

Enum where members are also (and must be) ints

AnyMSAChange = <MSA.AnyMSAChange: 0>
ChangeMSAAttribute = <MSA.ChangeMSAAttribute: 1>
MatchMSAAttribute = <MSA.MatchMSAAttribute: 2>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class TriggerTypeEnum.Error8b_10b(enum.IntEnum):

Enum where members are also (and must be) ints

CodeError = <Error8b_10b.CodeError: 0>
DisparityError = <Error8b_10b.CodeError: 0>
Both = <Error8b_10b.CodeError: 0>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class TriggerTypeEnum.TypeAUX(enum.IntEnum):

Enum where members are also (and must be) ints

NativeWrite = <TypeAUX.NativeWrite: 8>
NativeRead = <TypeAUX.NativeRead: 9>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class TriggerType:

Main class `TriggerType` defines possible variants of trigger types.

- `U1` - Start of TPS1/TPS2/TPS3/TPS4 - initial LT, after ALPM exit, both.
- `U2` - Exit of TPS1/TPS2/TPS3/TPS4 - initial LT, after ALPM exit, both.
- `U3` - Start of ML_PHY_STANDBY or ML_PHY_SLEEP.
- `U4` - Exit of ML_PHY_STANDBY or ML_PHY_SLEEP.
- `U5` - Start of EIEOS - initial LT, after ALPM exit, both.
- `U6` - Exit of EIEOS - initial LT, after ALPM exit, both.
- `U7` - VB-ID with the MASK - any change, match, selected bit transition.
- `U8` - VB-ID on TYPE - BS/SR/CPBS/CPSR.
- `U9` - Up to 8 control or data symbols, 8b/10b encoded.
- `U10` - SDP Type received – HB0 and/or HB1 match.
- `U11` - MSA – any change, change by mask, match by mask.
- `U12` - 8b/10b error – code error, disparity error, both.
- `U13` - Any AUX transaction - initial LT, after ALPM exit, both.
- `U17` - AUX read or write of specific address.

class TriggerType.U1:

Class `U1` describes one of the possible trigger type. Allows:

- Get trigger mask `trigger_mask`.
- Set and get source type `source_type` - `TriggerTypeEnum.SourceType`.
- Set and get position `position` - `TriggerTypeEnum.SourceTypePosition.

trigger_mask: int

Returns trigger mask.

###### Returns:

> object of int value

source_type: TriggerTypeEnum.SourceType

Returns source type.

###### Returns:

> object of `TriggerTypeEnum.SourceType` value

position: TriggerTypeEnum.SourceTypePosition

Returns position.

###### Returns:

> object of `TriggerTypeEnum.SourceTypePosition` value

class TriggerType.U2:

Class `U2` describes one of the possible trigger type. Allows:

- Get trigger mask `trigger_mask`.
- Set and get source type `source_type` - `TriggerTypeEnum.SourceType`.
- Set and get position `position` - `TriggerTypeEnum.SourceTypePosition.

trigger_mask: int

Returns trigger mask.

###### Returns:

> object of int value

source_type: TriggerTypeEnum.SourceType

Returns source type.

###### Returns:

> object of `TriggerTypeEnum.SourceType` value

position: TriggerTypeEnum.SourceTypePosition

Returns position.

###### Returns:

> object of `TriggerTypeEnum.SourceTypePosition` value

class TriggerType.U3:

Class `U3` describes one of the possible trigger type. Allows:

- Get trigger mask `trigger_mask`.
- Set and get source `source` - `TriggerTypeEnum.SourceMLPHY`.

trigger_mask: int

Returns trigger mask.

###### Returns:

> object of int value

source: TriggerTypeEnum.SourceMLPHY

Returns source.

###### Returns:

> object of `TriggerTypeEnum.SourceMLPHY` value

class TriggerType.U4:

Class `U4` describes one of the possible trigger type. Allows:

- Get trigger mask `trigger_mask`.
- Set and get source `source` - `TriggerTypeEnum.SourceMLPHY`.

trigger_mask: int

Returns trigger mask.

###### Returns:

> object of int value

source: TriggerTypeEnum.SourceMLPHY

Returns source.

###### Returns:

> object of `TriggerTypeEnum.SourceMLPHY` value

class TriggerType.U5:

Class `U5` describes one of the possible trigger type. Allows:

- Get trigger mask `trigger_mask`.
- Set and get position `position` - `TriggerTypeEnum.SourceTypePosition`.

trigger_mask: int

Returns trigger mask.

###### Returns:

> object of int value

position: TriggerTypeEnum.SourceTypePosition

Returns position.

###### Returns:

> object of `TriggerTypeEnum.SourceTypePosition` value

class TriggerType.U6:

Class `U6` describes one of the possible trigger type. Allows:

- Get trigger mask `trigger_mask`.
- Set and get position `position` - `TriggerTypeEnum.SourceTypePosition`.

trigger_mask: int

Returns trigger mask.

###### Returns:

> object of int value

position: TriggerTypeEnum.SourceTypePosition

Returns position.

###### Returns:

> object of `TriggerTypeEnum.SourceTypePosition` value

class TriggerType.U7:

Class `U7` describes one of the possible trigger type. Allows:

- Get trigger mask `trigger_mask`.
- Set and get mask `mask`.
- Set and get source `source` - `TriggerTypeEnum.SourceVBIDWithMask`.

trigger_mask: int

Returns trigger mask.

###### Returns:

> object of int value

source: TriggerTypeEnum.SourceVBIDWithMask

Returns source.

###### Returns:

> object of `TriggerTypeEnum.SourceVBIDWithMask` value

mask: int

Returns mask.

###### Returns:

> object of int value

class TriggerType.U8:

Class `U8` describes one of the possible trigger type. Allows:

- Get trigger mask `trigger_mask`.
- Set and get source `source` - `TriggerTypeEnum.SourceVBID`.

trigger_mask: int

Returns trigger mask.

###### Returns:

> object of int value

source: TriggerTypeEnum.SourceVBID

Returns source.

###### Returns:

> object of `TriggerTypeEnum.SourceVBID` value

class TriggerType.U9:

Class `U9` describes one of the possible trigger type. Allows:

- Get trigger mask `trigger_mask`.
- Set and get value for count of symbols `count`.
- Set and get value for symbol 0 `symbol_0`.
- Set and get value for symbol 1 `symbol_1`.
- Set and get value for symbol 2 `symbol_2`.
- Set and get value for symbol 3 `symbol_3`.
- Set and get value for symbol 4 `symbol_4`.
- Set and get value for symbol 5 `symbol_5`.
- Set and get value for symbol 6 `symbol_6`.
- Set and get value for symbol 7 `symbol_7`.

trigger_mask: int

Returns trigger mask.

###### Returns:

> object of int value

count: int

Returns count of symbols.

###### Returns:

> object of int value

symbol_0: int

Returns value of symbol 0.

###### Returns:

> object of int value

symbol_1: int

Returns value of symbol 1.

###### Returns:

> object of int value

symbol_2: int

Returns value of symbol 2.

###### Returns:

> object of int value

symbol_3: int

Returns value of symbol 3.

###### Returns:

> object of int value

symbol_4: int

Returns value of symbol 4.

###### Returns:

> object of int value

symbol_5: int

Returns value of symbol 5.

###### Returns:

> object of int value

symbol_6: int

Returns value of symbol 6.

###### Returns:

> object of int value

symbol_7: int

Returns value of symbol 7.

###### Returns:

> object of int value

class TriggerType.U10:

Class `U10` describes one of the possible trigger type. Allows:

- Get trigger mask `trigger_mask`.
- Set and get SDP type `sdp_type` - `TriggerTypeEnum.SDPTypeReceived`.
- Set and get value for HB 0 `hb0`.
- Set and get value for HB 1 `hb1`.

trigger_mask: int

Returns trigger mask.

###### Returns:

> object of int value

sdp_type: TriggerTypeEnum.SDPTypeReceived

Returns SDP type.

###### Returns:

> object of `TriggerTypeEnum.SDPTypeReceived` value

hb0: int

Returns value of HB0.

###### Returns:

> object of int value

hb1: int

Returns value of HB1.

###### Returns:

> object of int value

class TriggerType.U11:

Class `U11` describes one of the possible trigger type. Allows:

- Get trigger mask `trigger_mask`.
- Set and get source `source` - `TriggerTypeEnum.MSA`.
- Set and get MSa attributes (mvid, nvid, hactive, vactive and so on.)

mvid_flag
nvid_flag
hactive_flag
vactive_flag
htotal_flag
vtotal_flag
hsyncw_flag
vsyncw_flag
hsyncp_flag
vsyncp_flag
hsyncs_flag
vsyncs_flag
misc0_flag
misc1_flag
mvid
nvid
hactive
vactive
htotal
vtotal
hsyncw
vsyncw
hsyncs
vsyncs
misc0
misc1
trigger_mask: int

Returns trigger mask.

###### Returns:

> object of int value

source: TriggerTypeEnum.MSA

Returns source.

###### Returns:

> object of `TriggerTypeEnum.MSA` value

class TriggerType.U12:

Class `U12` describes one of the possible trigger type. Allows:

- Get trigger mask `trigger_mask`.
- Set and get source `source` - `TriggerTypeEnum.Error8b_10b`.

trigger_mask: int

Returns trigger mask.

###### Returns:

> object of int value

source: TriggerTypeEnum.Error8b_10b

Returns source.

###### Returns:

> object of `TriggerTypeEnum.Error8b_10b` value

class TriggerType.U13:

Class `U13` describes one of the possible trigger type. Allows:

- Get trigger mask `trigger_mask`.
- Set and get position `position` - `TriggerTypeEnum.SourceTypePosition`.

trigger_mask: int

Returns trigger mask.

###### Returns:

> object of int value

position: TriggerTypeEnum.SourceTypePosition

Returns position.

###### Returns:

> object of `TriggerTypeEnum.SourceTypePosition` value

class TriggerType.U17:

Class `U17` describes one of the possible trigger type. Allows:

- Get trigger mask `trigger_mask`.
- Set and get address `address`.
- Set and get type `type` - `TriggerTypeEnum.TypeAUX`.

trigger_mask: int

Returns trigger mask.

###### Returns:

> object of int value

address: int

Returns address.

###### Returns:

> object of int value

type: TriggerTypeEnum.TypeAUX

Returns type.

###### Returns:

> object of `TriggerTypeEnum.TypeAUX` value